/vendor-fees/{vendor_fee_id}

Initiate creative duplication using specified entities.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

A unique integer value identifying this vendor fee.

Body Params

A mixin that should be inherited by a custom serializer to include the logic for validating warnings.

This mixin works by recursively descending into nested levels of the root serializer,
collecting warnings in a dictionary structure, and raising them at a higher level.

To implement warnings in a custom serializer, two types of methods must be used.
The first type is used to handle field errors: warn_<field name>().
The second type is used for non-field warnings: warn().

Usage:
class NestedSerializer(WarningsSerializerMixin, serializers.Serializer):
baz = serializers.IntegerField()

def warn_baz(self, value):
...

def warn(self, attrs):
....

class RootSerializer(WarningsSerializerMixin, serializers.Serializer):
foo = NestedSerializer()
bar = serializers.CharField()

def warn_bar(self, value):
...

def warn(self, attrs):
...

integer
string

The object_type of the VendorFee. Like line_item, campaign or creative

integer
string

The vendor associated with the vendor fee. Note that if vendor_id is also provided, both fields must be the same.

integer

The unique identifier of the vendor associated with the vendor fee. Note that if vendor is also provided, both fields must be the same.

string
required
length ≤ 100

The descriptive name of the vendor fee.

string | null

The currency code for the CPM fee amount, e.g. USD.

string | null
^-?\d{0,3}(?:\.\d{0,3})?$

The fee amount of the CPM, e.g. 90.123. Note that only one of cpm_amount and percentage can be specified.

string | null
^-?\d{0,3}(?:\.\d{0,3})?$

The fee amount in a percentage.

date-time | null

The date and time the object was first created

string | null

An ID that may be used for any reporting or administrative purpose. Limited to 191 characters.

string | null

Free-form notes of up to 255 characters.

boolean
Defaults to true
string | null

The key of the fee type

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
:
URL
LoadingLoading…
Response
Choose an example:
application/json